UNIT ExKey;

{ Unit to make F11 and F12 keys on extended keyboards usable with Turbo
  Pascal

  (c) Copyright Aubrey Scoon (Scoon Consultancy Services) 1990

}

INTERFACE

PROCEDURE SetKeyVector;
PROCEDURE RestoreKeyVector;

FUNCTION Ext_Keyboard_Present : boolean;

{ Returns boolean flag TRUE or FALSE depending on whether an extended
  keyboard is present or not

  WARNING: If you make the use of SetKeyVector conditional using the
	   above flag you must also do the same with RestoreKeyVector, in
           other words if you have run SetKeyVector, you MUST run
	   RestoreKeyVector before leaving otherwise your system will
	   crash. You do not need to make the vector routine conditional
	   anyway, they will autodetect the presence of an enhanced
	   keyboard by themselves.
}

IMPLEMENTATION

{$L EXTKEY}

PROCEDURE SetKeyVector; external;
PROCEDURE RestoreKeyVector; external;
FUNCTION Ext_Keyboard_Present; external;

END.
